#
# Compilation des schemas Thot
# I. Vatton
#

.SUFFIXES:

.SUFFIXES: .STR .PRS .TRA .S .P .T

#
# Definitions
#
THOTDIR = ..
THOTSCH = ${THOTDIR}/schemas:${THOTDIR}/schemasOPERA
COMPSCH = ${THOTDIR}/schemas
MACHINE = `$(THOTDIR)/batch/MachineType`
COMPSTR = ${THOTDIR}/${MACHINE}/bin/str
COMPPRS = ${THOTDIR}/${MACHINE}/bin/prs
COMPTRA = ${THOTDIR}/${MACHINE}/bin/tra
PRINTSTR= ${THOTDIR}/${MACHINE}/bin/printstr

#
# Rules
#

.S.STR :
	$(COMPSTR) $*

.P.PRS :
	$(COMPPRS) $*

.T.TRA :
	$(COMPTRA) $*

#
# A Faire
#

all : compArbre2  compArbre2P \
	compDraw2  compDraw2P \
	compDraw3  compDraw3P \
	compPalette compPaletteP \
	compExpose  compExposeP \
	compExtIndex  compExtIndexP \
	compFeuille  compFeuilleP \
	compFichier  compFichierP \
	compLettre  compLettreP \
	compRefBib  compRefBibP \
	compRapport  compRapportP \
	compParagraph  compParagraphP \
	compMath compMathP  \
	compRefBib  compRefBibP \
	compRapport  compRapportP \
	compTable  compTableP \
	compCss compCssP \
	prs \
	tra

prs : compArbre2P  \
	compDraw2P  \
	compDraw3P  \
	compPaletteP \
	compExposeP  \
	compExtIndexP  \
	compFeuilleP  \
	compFichierP  \
	compLettreP  \
	compRefBibP  \
	compRapportP  \
	compParagraphP  \
	compMathP  \
	compRefBibP  \
	compRapportP  \
	compTableP \
	compCssP

tra : $(SCHEMAS_DE_TRADUCTION)

#
# Compilation des schemas de structure et des schemas de presentation et 
# de traduction qui en dependent
#

compArbre2 : $(COMPSCH)/Arbre2.STR
$(COMPSCH)/Arbre2.STR : $(COMPSCH)/Arbre2.S
	$(COMPSTR) Arbre2
	$(COMPPRS) Arbre2P
	$(COMPTRA) Arbre2A
	$(COMPTRA) Arbre2H
	$(COMPTRA) Arbre2T

compArbre2P : $(COMPSCH)/Arbre2P.PRS
$(COMPSCH)/Arbre2P.PRS : $(COMPSCH)/Arbre2P.P
	$(COMPPRS) Arbre2P


compDraw2 : $(COMPSCH)/Draw2.STR
$(COMPSCH)/Draw2.STR : $(COMPSCH)/Draw2.S
	$(COMPSTR) Draw2
	$(COMPPRS) Draw2P
	$(COMPTRA) Draw2A
	$(COMPTRA) Draw2H
	$(COMPTRA) Draw2T
	$(COMPTRA) Draw2T1

compDraw2P : $(COMPSCH)/Draw2P.PRS
$(COMPSCH)/Draw2P.PRS : $(COMPSCH)/Draw2P.P
	$(COMPPRS) Draw2P

compDraw3 : $(COMPSCH)/Draw3.STR
$(COMPSCH)/Draw3.STR : $(COMPSCH)/Draw3.S
	$(COMPSTR) Draw3
	$(COMPPRS) Draw3P
	$(COMPPRS) -DPALETTE Draw3P Draw3Palette
	$(COMPTRA) Draw3A
	$(COMPTRA) Draw3H
	$(COMPTRA) Draw3T
	$(COMPTRA) Draw3T1

compDraw3P : $(COMPSCH)/Draw3P.PRS
$(COMPSCH)/Draw3P.PRS : $(COMPSCH)/Draw3P.P
	$(COMPPRS) -DPALETTE Draw3P Draw3Palette
	$(COMPPRS) Draw3P

compPalette :  $(COMPSCH)/Palette.STR
$(COMPSCH)/Palette.STR : $(COMPSCH)/Palette.S
	$(COMPSTR) Palette
	$(COMPPRS) PaletteP

compPaletteP: $(COMPSCH)/PaletteP.PRS
$(COMPSCH)/PaletteP.PRS : $(COMPSCH)/PaletteP.P
	$(COMPPRS) PaletteP
compExpose :$(COMPSCH)/Expose.STR
$(COMPSCH)/Expose.STR : $(COMPSCH)/Expose.S
	$(COMPSTR) Expose
	$(COMPPRS) ExposeP ExposePIN
	$(COMPPRS) -DPORTRAIT ExposeP ExposePP
	$(COMPPRS) -DFONDCOULEUR ExposeP ExposePI
	$(COMPPRS) -DUS_PAPER ExposeP ExposePINUS
	$(COMPPRS) -DUS_PAPER -DPORTRAIT ExposeP ExposePPUS
	$(COMPPRS) -DUS_PAPER -DFONDCOULEUR ExposeP ExposePIUS
	$(COMPPRS) -DFONDCOULEUR -DFULLSCREEN ExposeP ExposePFS
	$(COMPTRA) ExposeA
	$(COMPTRA) ExposeH
	$(COMPTRA) ExposeH1

compExposeP :$(COMPSCH)/ExposePP.PRS
$(COMPSCH)/ExposePP.PRS : $(COMPSCH)/ExposeP.P
	$(COMPPRS) ExposeP ExposePIN
	$(COMPPRS) -DPORTRAIT ExposeP ExposePP
	$(COMPPRS) -DFONDCOULEUR ExposeP ExposePI
	$(COMPPRS) -DUS_PAPER ExposeP ExposePINUS
	$(COMPPRS) -DUS_PAPER -DPORTRAIT ExposeP ExposePPUS
	$(COMPPRS) -DUS_PAPER -DFONDCOULEUR ExposeP ExposePIUS
	$(COMPPRS) -DFONDCOULEUR -DFULLSCREEN ExposeP ExposePFS

compExtIndex :$(COMPSCH)/ExtIndex.STR
$(COMPSCH)/ExtIndex.STR : $(COMPSCH)/ExtIndex.S
	$(COMPSTR) ExtIndex
	$(COMPPRS) ExtIndexP ExtIndexPP
	$(COMPPRS) -DENGLISH ExtIndexP ExtIndexPPE
	$(COMPPRS) -DENGLISH -DNOREF ExtIndexP ExtIndexPPEnoref
	$(COMPPRS) -DUS_PAPER ExtIndexP ExtIndexPPUS
	$(COMPPRS) -DUS_PAPER -DENGLISH ExtIndexP ExtIndexPPEUS
	$(COMPPRS) -DUS_PAPER -DENGLISH -DNOREF ExtIndexP ExtIndexPPEnorefUS
	$(COMPTRA) ExtIndexH

compExtIndexP :$(COMPSCH)/ExtIndexPP.PRS
$(COMPSCH)/ExtIndexPP.PRS : $(COMPSCH)/ExtIndexP.P
	$(COMPPRS) ExtIndexP ExtIndexPP
	$(COMPPRS) -DENGLISH ExtIndexP ExtIndexPPE
	$(COMPPRS) -DENGLISH -DNOREF ExtIndexP ExtIndexPPEnoref
	$(COMPPRS) -DUS_PAPER ExtIndexP ExtIndexPPUS
	$(COMPPRS) -DUS_PAPER -DENGLISH ExtIndexP ExtIndexPPEUS
	$(COMPPRS) -DUS_PAPER -DENGLISH -DNOREF ExtIndexP ExtIndexPPEnorefUS

compFeuille :$(COMPSCH)/Feuille.STR
$(COMPSCH)/Feuille.STR : $(COMPSCH)/Feuille.S
	$(COMPSTR) Feuille
	$(COMPPRS) FeuilleP FeuillePP
	$(COMPPRS) -DLANDSCAPE FeuilleP FeuillePI
	$(COMPPRS) -DUS_PAPER FeuilleP FeuillePPUS
	$(COMPPRS) -DUS_PAPER -DLANDSCAPE FeuilleP FeuillePIUS
	$(COMPTRA) FeuilleA
	$(COMPTRA) FeuilleH

compFeuilleP :$(COMPSCH)/FeuillePP.PRS
$(COMPSCH)/FeuillePP.PRS : $(COMPSCH)/FeuilleP.P
	$(COMPPRS) FeuilleP FeuillePP
	$(COMPPRS) -DLANDSCAPE FeuilleP FeuillePI
	$(COMPPRS) -DUS_PAPER FeuilleP FeuillePPUS
	$(COMPPRS) -DUS_PAPER -DLANDSCAPE FeuilleP FeuillePIUS

compFichier :$(COMPSCH)/Fichier.STR
$(COMPSCH)/Fichier.STR : $(COMPSCH)/Fichier.S
	$(COMPSTR) Fichier
	$(COMPPRS) FichierP
	$(COMPTRA) FichierA
	$(COMPTRA) FichierH
	$(COMPTRA) FichierT

compFichierP :$(COMPSCH)/FichierP.PRS
$(COMPSCH)/FichierP.PRS : $(COMPSCH)/FichierP.P
	$(COMPPRS) FichierP

compLettre : $(COMPSCH)/Lettre.STR
$(COMPSCH)/Lettre.STR : $(COMPSCH)/Lettre.S
	$(COMPSTR) Lettre
	$(COMPPRS) LettreP
	$(COMPPRS) -DENGLISH LettreP LettrePE
	$(COMPPRS) -DPAGE LettreP LettrePP
	$(COMPPRS) -DPAGE -DENGLISH LettreP LettrePPE
	$(COMPPRS) -DPAGE -DWithLOGO LettreP LettrePP1
	$(COMPPRS) -DPAGE -DWithLOGO -DENGLISH LettreP LettrePP1E
	$(COMPPRS) -DUS_PAPER -DPAGE LettreP LettrePPUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DENGLISH LettreP LettrePPEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DWithLOGO LettreP LettrePP1US
	$(COMPPRS) -DUS_PAPER -DPAGE -DWithLOGO -DENGLISH LettreP LettrePP1EUS
	$(COMPTRA) LettreA

compLettreP : $(COMPSCH)/LettreP.PRS
$(COMPSCH)/LettreP.PRS :	$(COMPSCH)/LettreP.P
	$(COMPPRS) LettreP
	$(COMPPRS) -DENGLISH LettreP LettrePE
	$(COMPPRS) -DPAGE LettreP LettrePP
	$(COMPPRS) -DPAGE -DENGLISH LettreP LettrePPE
	$(COMPPRS) -DPAGE -DWithLOGO LettreP LettrePP1
	$(COMPPRS) -DPAGE -DWithLOGO -DENGLISH LettreP LettrePP1E
	$(COMPPRS) -DUS_PAPER -DPAGE LettreP LettrePPUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DENGLISH LettreP LettrePPEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DWithLOGO LettreP LettrePP1US
	$(COMPPRS) -DUS_PAPER -DPAGE -DWithLOGO -DENGLISH LettreP LettrePP1EUS

compMath : $(COMPSCH)/Math.STR
$(COMPSCH)/Math.STR : $(COMPSCH)/Math.S
	$(COMPSTR) Math
	$(PRINTSTR) -h Math | sed -e "1d" >Math.h
	$(COMPPRS) MathP
	$(COMPTRA) MathT
	$(COMPTRA) MathH

compMathP : $(COMPSCH)/MathP.PRS
$(COMPSCH)/MathP.PRS :	$(COMPSCH)/MathP.P
	$(COMPPRS) MathP

compParagraph: $(COMPSCH)/Paragraphe.STR
$(COMPSCH)/Paragraphe.STR : $(COMPSCH)/Paragraphe.S
	$(COMPSTR) Paragraphe
	$(COMPPRS) ParagraphP
	$(COMPPRS) ParagrLTP
	$(COMPPRS) -DDOUBLE ParagraphP ParagraphPD
	$(COMPTRA) ParagraphA
	$(COMPTRA) ParagraphH
	$(COMPTRA) ParagraphT
	$(COMPTRA) ParagraphW

compParagraphP: $(COMPSCH)/ParagraphP.PRS
$(COMPSCH)/ParagraphP.PRS : $(COMPSCH)/ParagraphP.P
	$(COMPPRS) ParagraphP
	$(COMPPRS) -DDOUBLE ParagraphP ParagraphPD

compRapport : $(COMPSCH)/Rapport.STR
$(COMPSCH)/Rapport.STR : $(COMPSCH)/Rapport.S
	$(COMPSTR) Rapport
	$(COMPPRS) RapportP
	$(COMPPRS) -DENGLISH RapportP RapportPE
	$(COMPPRS) -DPAGE -DRECTOVERSO RapportP RapportPP
	$(COMPPRS) -DPAGE RapportP RapportPPR
	$(COMPPRS) -DPAGE -DENGLISH -DRECTOVERSO RapportP RapportPPE
	$(COMPPRS) -DPAGE -DREFBIBCLE -DRECTOVERSO RapportP RapportPPB
	$(COMPPRS) -DPAGE -DREFBIBCLE -DENGLISH -DRECTOVERSO RapportP RapportPPBE
	$(COMPPRS) -DPAGE -DREFBIBCLE -DCOUVERTURE -DRECTOVERSO RapportP RapportPPBC
	$(COMPPRS) -DUS_PAPER -DPAGE -DRECTOVERSO RapportP RapportPPUS
	$(COMPPRS) -DUS_PAPER -DPAGE RapportP RapportPPRUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DENGLISH -DRECTOVERSO RapportP RapportPPEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DRECTOVERSO RapportP RapportPPBUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DENGLISH -DRECTOVERSO RapportP RapportPPBEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DCOUVERTURE -DRECTOVERSO RapportP RapportPPBCUS
	$(COMPTRA) RapportA
	$(COMPTRA) RapportT
	$(COMPTRA) RapportH
	$(COMPTRA) -DMULTI_FILES RapportH RapportHM

compRapportP : $(COMPSCH)/RapportP.PRS
$(COMPSCH)/RapportP.PRS : $(COMPSCH)/RapportP.P
	$(COMPPRS) RapportP
	$(COMPPRS) -DENGLISH RapportP RapportPE
	$(COMPPRS) -DPAGE -DRECTOVERSO RapportP RapportPP
	$(COMPPRS) -DPAGE RapportP RapportPPR
	$(COMPPRS) -DPAGE -DENGLISH -DRECTOVERSO RapportP RapportPPE
	$(COMPPRS) -DPAGE -DREFBIBCLE -DRECTOVERSO RapportP RapportPPB
	$(COMPPRS) -DPAGE -DREFBIBCLE -DENGLISH -DRECTOVERSO RapportP RapportPPBE
	$(COMPPRS) -DPAGE -DREFBIBCLE -DCOUVERTURE -DRECTOVERSO RapportP RapportPPBC
	$(COMPPRS) -DUS_PAPER -DPAGE -DRECTOVERSO RapportP RapportPPUS
	$(COMPPRS) -DUS_PAPER -DPAGE RapportP RapportPPRUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DENGLISH -DRECTOVERSO RapportP RapportPPEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DRECTOVERSO RapportP RapportPPBUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DENGLISH -DRECTOVERSO RapportP RapportPPBEUS
	$(COMPPRS) -DUS_PAPER -DPAGE -DREFBIBCLE -DCOUVERTURE -DRECTOVERSO RapportP RapportPPBCUS

compRapportT : $(COMPSCH)/RapportH.TRA
$(COMPSCH)/RapportH.TRA : $(COMPSCH)/RapportH.T
	$(COMPTRA) RapportH
	$(COMPTRA) -DMULTI_FILES RapportH RapportHM

compRefBib :$(COMPSCH)/RefBib.STR
$(COMPSCH)/RefBib.STR : $(COMPSCH)/RefBib.S
	$(COMPSTR) RefBib
	$(COMPPRS) RefBibP
	$(COMPPRS) -DFORM RefBibP RefBibP1
	$(COMPPRS) -DCLE RefBibP RefBibPCle
	$(COMPPRS) -DENGLISH RefBibP RefBibPE
	$(COMPPRS) -DFORM -DENGLISH RefBibP RefBibPE1
	$(COMPPRS) -DCLE -DENGLISH RefBibP RefBibPECle
	$(COMPTRA) RefBibA
	$(COMPTRA) RefBibB
	$(COMPTRA) RefBibBH
	$(COMPTRA) RefBibH
	$(COMPTRA) RefBibT
	$(COMPTRA) RefBibT1
	$(COMPTRA) RefBibWA
	$(COMPTRA) RefBibWM

compRefBibP :$(COMPSCH)/RefBibP.PRS
$(COMPSCH)/RefBibP.PRS : $(COMPSCH)/RefBibP.P
	$(COMPPRS) RefBibP
	$(COMPPRS) -DFORM RefBibP RefBibP1
	$(COMPPRS) -DCLE RefBibP RefBibPCle
	$(COMPPRS) -DENGLISH RefBibP RefBibPE
	$(COMPPRS) -DFORM -DENGLISH RefBibP RefBibPE1
	$(COMPPRS) -DCLE -DENGLISH RefBibP RefBibPECle

compTable :$(COMPSCH)/Table.STR
$(COMPSCH)/Table.STR : $(COMPSCH)/Table.S
	$(COMPSTR) Table
	$(COMPPRS) TableP
	$(COMPPRS) -DSGML_view TableP TablePS
	$(COMPTRA) TableA
	$(COMPTRA) TableH
	$(COMPTRA) TableT

compTableP :$(COMPSCH)/TableP.PRS
$(COMPSCH)/TableP.PRS : $(COMPSCH)/TableP.P
	$(COMPPRS) TableP
	$(COMPPRS) -DSGML_view TableP TablePS

compCss :$(COMPSCH)/ExtCss.STR
$(COMPSCH)/ExtCss.STR : $(COMPSCH)/ExtCss.S
	$(COMPSTR) ExtCss

compCssP :$(COMPSCH)/ExtCssP.PRS
$(COMPSCH)/ExtCssP.PRS : $(COMPSCH)/ExtCssP.P
	$(COMPPRS) ExtCssP

#
# Schemas de traduction
#

SCHEMAS_DE_TRADUCTION = \
	Arbre2A.TRA \
	Arbre2H.TRA \
	Arbre2T.TRA \
	DossierH.TRA \
	Draw2A.TRA \
	Draw2H.TRA \
	Draw2T.TRA \
	Draw2T1.TRA \
	ExposeA.TRA \
	ExposeH.TRA \
	ExposeH1.TRA \
	ExtIndexH.TRA \
	FeuilleA.TRA \
	FeuilleH.TRA \
	FichierA.TRA \
	FichierH.TRA \
	FichierT.TRA \
	LettreA.TRA \
	MathT.TRA \
	MathH.TRA \
	ParagraphA.TRA \
	ParagraphH.TRA \
	ParagraphT.TRA \
	ParagraphW.TRA \
	RapportA.TRA \
	RapportH.TRA \
	RapportT.TRA \
	RefBibA.TRA \
	RefBibB.TRA \
        RefBibBH.TRA \
	RefBibH.TRA \
	RefBibT.TRA \
	RefBibT1.TRA \
	RefBibWA.TRA \
	RefBibWM.TRA \
	TableA.TRA \
	TableH.TRA \
	TableT.TRA

